View Issue Details

IDProjectCategoryView StatusLast Update
13384Bug reports[All Projects] Statisticspublic2018-02-27 14:23
ReporterfranksanabriaAssigned Tomarkusfluer 
PrioritynoneSeveritytweak 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.4.x 
Summary13384: Massive deleting responses not possible after modifying table filters in response table
Description

When I Select a multiple responses, I Can't delete it all, only one for one response.

Steps To Reproduce
  1. Go to Survey
  2. Go to Resume and Statics
  3. Show Answers
  4. Select All Answers
  5. Delete All - yes

Nothing does...

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.3.1+180214
I will donate to the project if issue is resolvedNo
BrowserChromium
Database & DB-Version 15.1 Distrib 5.5.56-MariaDB
Server OS (if known)CentOS 7
Webserver software & version (if known)Apache/2.4.6
PHP VersionPHP 5.5.38

Activities

franksanabria

franksanabria

2018-02-17 03:43

reporter  

Captura realizada el 2018-02-16 21.40.28.jpeg (129,706 bytes)
c_schmitz

c_schmitz

2018-02-21 14:16

administrator   ~46672

No problems here.

Please update to the latest version and try again. Do you have debug mode activated in config.php? If yes, deactivate and try again.

Please let us know if you can still reproduce the issue.

franksanabria

franksanabria

2018-02-21 16:23

reporter   ~46693

Attach Video with test



Lime.gif (1,338,764 bytes)
c_schmitz

c_schmitz

2018-02-21 17:41

administrator   ~46708

Thanks, the video helped alot to reproduce.

markusfluer

markusfluer

2018-02-22 08:44

administrator   ~46713

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26550

c_schmitz

c_schmitz

2018-02-27 14:23

administrator   ~46799

Version 3.4.3 Build 180227 released.

Related Changesets

LimeSurvey: master 532a8098

2018-02-21 17:47:28

markusfluer

Details Diff
Fixed issue 13384: Massive deleting responses not possible after modifying table filters in response table Affected Issues
13384
mod - application/views/admin/export/exportresults_view.php Diff File
mod - application/views/admin/responses/listResponses_view.php Diff File
mod - assets/scripts/admin/listresponse.js Diff File

Issue History

Date Modified Username Field Change
2018-02-17 03:43 franksanabria New Issue
2018-02-17 03:43 franksanabria File Added: Captura realizada el 2018-02-16 21.40.49.jpeg
2018-02-17 03:43 franksanabria File Added: Captura realizada el 2018-02-16 21.40.28.jpeg
2018-02-21 14:16 c_schmitz Assigned To => c_schmitz
2018-02-21 14:16 c_schmitz Status new => feedback
2018-02-21 14:16 c_schmitz Note Added: 46672
2018-02-21 16:23 franksanabria File Added: Lime.gif
2018-02-21 16:23 franksanabria Note Added: 46693
2018-02-21 16:23 franksanabria Status feedback => assigned
2018-02-21 17:41 c_schmitz Summary I Can't delete massive answers => Massive deleting responses after modifying filter options
2018-02-21 17:41 c_schmitz Summary Massive deleting responses after modifying filter options => Massive deleting responses after modifying table filters in response table
2018-02-21 17:41 c_schmitz Assigned To c_schmitz => markusfluer
2018-02-21 17:41 c_schmitz Note Added: 46708
2018-02-21 17:42 c_schmitz Summary Massive deleting responses after modifying table filters in response table => Massive deleting responses not possible after modifying table filters in response table
2018-02-21 17:48 markusfluer Status assigned => resolved
2018-02-21 17:48 markusfluer Resolution open => fixed
2018-02-21 17:48 markusfluer Fixed in Version => 3.4.x
2018-02-22 08:44 markusfluer Changeset attached => LimeSurvey master 532a8098
2018-02-22 08:44 markusfluer Note Added: 46713
2018-02-27 14:23 c_schmitz Note Added: 46799
2018-02-27 14:23 c_schmitz Status resolved => closed